import { RPCClientError } from '@loafer/ng-rpc';
import { ProbeHost } from '@overflow/commons-typescript/model/probe';
import { Selector, createSelector } from '@ngrx/store';
import { createEntityAdapter, EntityState } from '@loafer/ng-entity';

export const probeAdapter = createEntityAdapter<ProbeHost, RPCClientError>();
export interface State extends EntityState<ProbeHost, RPCClientError> {
}
export const initialState: State = probeAdapter.getInitialState();

export function getSelectors<S>(selector: Selector<any, State>) {
  return probeAdapter.getSelectors(selector);
}

